OpenNMS API 1.2.9

## org.opennms.web.performance
Class RRDDumpServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.performance.RRDDumpServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class RRDDumpServlet
extends javax.servlet.http.HttpServlet

A servlet that creates an XML dump of network performance data using the RRDTool .

This servlet executes an rrdtool dump command in another process, piping its XML output to the `ServletOutputStream`.

Author:
  Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `commandPrefix` The dump command (minus the actual RRD filename).
`protected java.lang.String` `workDir` The working directory where we find the RRD files.

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`RRDDumpServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Checks the parameters passed to this servlet, and if all are okay, executes the RRDTool command in another process and pipes its XML output to the `ServletOutputStream` back to the requesting web browser.
`void` `init()` Initializes this servlet by reading the rrdtool-graph properties file.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workDir

    protected java.lang.String workDir

  The working directory where we find the RRD files.

### commandPrefix

    protected java.lang.String commandPrefix

  The dump command (minus the actual RRD filename).

Constructor Detail

### RRDDumpServlet

    public RRDDumpServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initializes this servlet by reading the rrdtool-graph properties file.

  Throws:
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Checks the parameters passed to this servlet, and if all are okay, executes the RRDTool command in another process and pipes its XML output to the `ServletOutputStream` back to the requesting web browser.

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.